* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html { /* Needed to stop page from smooshing when on home page */
    scrollbar-gutter: stable;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #f5f5f5;
    color: #111;
}

.main-container {
    width: 100%;
    padding-bottom: 40px;
}

.top-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 75px;
}

.title-container {
    margin-bottom: 70px;
}

/* Title of webpage */
.main-title {
    font-size: 48px;
    letter-spacing: 20px;
    font-family: 'Grenze Gotisch', cursive;
    font-weight: 700;
}

.tagline {
    font-size: 13px;
    letter-spacing: 4px;
    margin-top: 5px;
    opacity: 0.75;
    text-transform: lowercase;
    text-align: center;
}

/* Navbar Things */
.navbar-container {
    width: 100%;
}

.navbar {
    display: flex;
    justify-content: center;
    gap: 20%;
    list-style: none;
}

.navbar-list {
    position: relative;
    cursor: pointer;
    font-size: 14px;
    letter-spacing: 1px;
    text-transform: lowercase;
    padding-bottom: 5px;
}

/* Navbar Effects */

.navbar-list::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0%;
    height: 2px;
    background-color: black;
    transition: width 0.3s ease;
}

.navbar-list:hover::after {
    width: 100%;
}

/* Removing underline and purple colour of links */
.navbar-list a,
.navbar-list a:visited,
.navbar-list a:active,
.navbar-list a:hover {
    text-decoration: none;
    color: black;
}

/* Content Container */
.content-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;

    width: 85%;
    margin: 0 auto;

    border: 3px solid transparent; /* border width */
    background:
        linear-gradient(#fff, #fff) padding-box, /* inner solid area */
        linear-gradient(to right, rgb(24, 24, 24), rgb(124, 124, 124), rgb(24, 24, 24)) border-box; /* border gradient */
    
    border-radius: 25px;
    background-color: #fff;

    padding: 40px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.05);
    overflow: hidden;
}

/* Experimenting with border decoration */
.content-container::before {
    content: "";
    position: absolute;
    inset: 2px;
    border: 1px solid black;
    border-radius: 20px;
    pointer-events: none;
}

/* Footer */
.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: right;
    text-transform: lowercase;
    padding: 10px;
    font-size: 14px;
}

/* Page Titles */
.page-title {
    font-family: 'Grenze Gotisch', cursive;
    font-size: 36px;
    margin-bottom: 20px;
    letter-spacing: 20px;
    text-align: center;
}

/* Home page only */
/* Short Gallery Section */
.carousel-wrapper {
    width: 800px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    margin-bottom: 20px;
}

.carousel-main {
    width: 50%;
    height: 400px;
    object-fit: cover;
    border-radius: 12px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    margin-bottom: 15px;
    /* Transition fade */
    transition: opacity 0.7s ease-in-out;
    opacity: 1;
}

.carousel-main:hover {
    border: 1px solid rgba(0, 0, 0, 0.4);
}

.carousel-thumbnails {
    display: flex;
    justify-content: center;
    width: 50%;
}

.carousel-thumb {
    width: 125px; 
    height: 125px;
    overflow: hidden;
    cursor: pointer;
    opacity: 0.7;
    transition: all 0.3s ease;
    transform: skewX(-15deg);
    transition: border 0.7s ease-in-out, opacity 0.3s ease-in-out;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

/* Highlighting Selected Thumbnail */
.carousel-thumb.selected {
    border: 1px solid rgba(0,0,0,0.4);
    opacity: 1;
    transition: border 0.7s ease-in-out, opacity 0.7s ease-in-out;
}

.carousel-thumb:hover {
    opacity: 1;
}

/* Home Container */
.home-wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.home-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
    width: 75%;
}

/* about container */

.about-container {
    width: 50%;
}

.about-title {
    font-size: 36px;
    font-family: 'Grenze Gotisch', cursive;
    margin-bottom: 20px;
    letter-spacing: 14px;
    text-align: center;
}

.about-text {
    font-size: 16px;
    line-height: 1.6;
}

/* Portrait container */

.image-container {
    width: 50%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.portrait-image {
    width: 100%;
    max-width: 300px;
    border-radius: 500px; /* Circular */
    object-fit: cover;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

.portrait-name {
    text-align: center;
    margin-top: 10px;
    font-size: 36px;
    letter-spacing: 6px;
    font-family: 'Grenze Gotisch', cursive;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-underline-offset: 4px;
}

/* Gallery Page Only */
.gallery-container {
    width: 95%;
    display: flex;
    flex-direction: column;
}

/* Section Title */
.title-wrapper {
    display: block;      
    margin-bottom: 20px;  
    margin-top: 30px;
}

.section-images {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;

    max-height: 0;
    opacity: 0;
    overflow: hidden;

    transition: max-height 0.5s ease, opacity 0.5s ease;
}

.section-images.expanded {
    max-height: 1000px;
    opacity: 1;
}

.toggle-arrow {
    font-size: 20px;
    cursor: pointer;
    user-select: none;
    transition: transform 0.3s ease;
    display: inline-block;
    transform: rotate(180deg);
}

.toggle-arrow.rotated {
    transform: rotate(0deg);
}

.section-title {
    font-family: 'Grenze Gotisch', cursive;
    font-size: 24px;
    letter-spacing: 12px;
    position: relative;
    display: inline-block;
    width: max-content;
}

.section-title::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0px;
    width: 0%;
    height: 2px;
    background-color: black;
    transition: width 0.3s ease;
}

.gallery-section:hover .section-title::after {
    width: 100%;
}

/* Gallery Images */
.gallery-image {
    width: 100%;
    max-width: 150px;
    border-radius: 6px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
    opacity: 0.7;
}

.gallery-image:hover {
    opacity: 1;
}

/* Aftercare Page Only */
/* Printing stuff - shortens page*/
@media print {
    body * {
        visibility: hidden;
    }

    .content-container,
    .content-container * {
        visibility: visible;
    }

    .content-container {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        border: none;
        box-shadow: none;
        padding: 20px;
    }
}



/* Booking Page Only */
/* Booking container */

.booking-container {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.booking-info {
    padding-bottom: 60px;
}

/* Shared Link and Icon Stuff */
.centered-link {
    align-self: center;
}

.centered-icon {
    max-width: 30px;
    max-height: 30px;
}